[% BLOCK ztb_subsection_table %]
<table class="table-fixed">
  <tbody class="basic">
   [% content %]
  <tbody>
</table>
[% END %]

[% BLOCK ztb_subsection_tr %]
<tr [% IF class %]class="[% class %]"[% END %]>
  <td class="td120">
    [% label %]
    [% IF description %]
    <br/>
    <span>
      [% description %]
    </span>
    [% END %]
  </td>
  <td class="td200">
    [% content %]
  </td>
</tr>
[% END %]

[% BLOCK ztb_attribute_copy %]

[% classes = [];
   IF class;
     classes.push(class);
   END;
   IF phase;
     classes.push('custom_attribute_phase_no_' _ phase);
   END;
   %]
<tr [% IF classes.size() %]class="[% classes.join(' ') %]"[% END %]>
  <td class="td20">
  [% IF magic_string %]
    <input
      type="checkbox"
      value="[% magic_string %]"
      name="relaties_copy_custom_attributes_selected"
      [% IF checked %]checked[% END %]
    >
  [% END %]
  </td>
  <td class="td100">
    [% label %]
    [% IF magic_string %]
    <br/>[[[% magic_string %]]]
    [% END %]
  </td>
  <td class="td200">
    [% content %]
  </td>
</tr>
[% END %]

[% BLOCK ztb_relation_section %]

<h3 class="ui-accordion-header"
    id="ztb_relations_[% id %]">
    <a href="#"><span>[% title %]</span></a>
</h3>

<div class="ui-accordion-content">
[% subsection_template = 'ztb_relation_section_' _ subsection %]
[%- PROCESS $subsection_template %]
</div>

[% END %]

<div id="relatie_definitie" class="form" data-ng-controller="nl.mintlab.admin.EditRelationController">
    <form[% IF class %] class="[% class %]"[% END %]>

        <input type="hidden" name="uniqueidr" value="[% c.req.params.uniqueidr %]"/>
        <input type="hidden" name="destination" value="[% destination %]"/>
        <input type="hidden" name="update" value="1"/>
        <input type="hidden" name="rownumber" value="[% rownumber %]"/>
        <input type="hidden" name="milestone_last" value="[% milestone_last %]" />

        <div class="ui-accordion ztb_relations_dialog" id="accordion_relations" ng-init="init()">

            [%- PROCESS ztb_relation_section
                id = 'aanvragen'
                title = "Aanvragen"
                subsection = 'request'
            -%]

            [%- PROCESS ztb_relation_section
                id = 'behandelen'
                title = "Behandelen"
                subsection = 'assign'
            -%]

            [%- PROCESS ztb_relation_section
                id = 'kopieren'
                title = "Kopi&euml;ren"
                subsection = 'copy'
            -%]

            [%- PROCESS ztb_relation_section
                id = 'overig'
                title = "Overig"
                subsection = 'misc'
            -%]

        </div>

        <div class="form-actions clearfix">
            <input type="submit" value="[% IF submit_button %][% submit_button %][% ELSE %]Opslaan[% END %]" class="button button-primary">
        </div>
    </form>

</div>

[% BLOCK ztb_relation_section_request %]

  [% WRAPPER ztb_subsection_table %]

    [% WRAPPER ztb_subsection_tr
        label = "Aanvrager"
    %]
      <select name="relaties_eigenaar_type" id="antwoord_invoertype">
      [% FOR eigenaar IN constants.zaaktype.deelvervolg_eigenaar %]
        <option
            value="[% eigenaar.key %]"
            [% (params.eigenaar_type == eigenaar.key) ? ' selected' : '' %]
        >
            [% eigenaar.value.label %]
        </option>
      [% END %]
    [% END %]

    [%
       IF params.eigenaar_id;
         aanvrager = c.model('Betrokkene').get({}, params.eigenaar_id);
       END;
    %]

    [% INCLUDE widgets/search_contact.tt
      label = "Naam aanvrager"
      type_label = "Aanvragertype"
      ezra_id = "ezra_id_aanvrager"
      my_display = "display: none;"
      input_name = "relaties_eigenaar_id"
      selector_input = "relaties_eigenaar_searchtype"
      contact_betrokkene_naam = aanvrager.naam
      contact_betrokkene_id = params.eigenaar_id
      skip_validator = 1
    %]

    [% WRAPPER ztb_subsection_tr
        label = "Soort"
    %]
      <select class="ezra_milestone_zaak_type" name="relaties_relatie_type[% (mrelatie ? '.' _ mrelatiei : '') %]">

        [%- IF milestone_last -%]
        <option
            [% params.relatie_type == 'vervolgzaak_datum' ? 'selected="selected"' : '' %]
        value="vervolgzaak_datum"
        class="vervolgzaak_datum has_start_delay">
            Vervolgzaak (datum)
        </option>
        <option
            [% params.relatie_type == 'vervolgzaak'  ? 'selected="selected"' : '' %]
        value="vervolgzaak"
        class="has_start_delay">
            Vervolgzaak (periode)
        </option>

        [%- END -%]
        <option
        [% params.relatie_type == ZCONSTANTS.subzaken_deelzaak ? 'selected="selected"' : '' %]
        value="[% ZCONSTANTS.subzaken_deelzaak %]">
            Deelzaak
        </option>
        <option
        [% params.relatie_type == ZCONSTANTS.subzaken_gerelateerd ? 'selected="selected"' : '' %]
        value="[% ZCONSTANTS.subzaken_gerelateerd %]">
            Gerelateerde zaak
        </option>
      </select>
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Starten na"
        class = "ezra_milestone_zaak_type_starten"
    %]
       <input
         type="text"
         name="relaties_start_delay"
         value="[% params.start_delay %]"
         placeholder="[[ magic_string ]] of 14"
         size="4" />
       <span class="label_dagen">dagen</span>
     [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Starten bij afronden fase"
        class = "ezra_milestone_case_relation_automatic"
    %]
      <input type="hidden" name="dialog_checkboxes" value="relaties_status" />
      <input type="checkbox" value="1" name="relaties_status"[% (params.status ? ' checked="checked"' : '') %]>
    [% END %]

  [% END %]
[% END %]


[% BLOCK ztb_relation_section_assign %]

  [% WRAPPER ztb_subsection_table %]

    [% WRAPPER ztb_subsection_tr
        label = "Toewijzing"
    %]
      [% PROCESS widgets/general/auth_select.tt
              AUTH_SELECT_OU_NAME   = 'relaties_ou_id'
              AUTH_SELECT_OU_VALUE  = params.ou_id
              AUTH_SELECT_ROLE_NAME = 'relaties_role_id'
              AUTH_SELECT_ROLE_VALUE = params.role_id
              AUTH_SELECT_NO_GLOBAL = 1
      %]
    [% END %]

    [%-
      options = [];
      IF zaak;
        fasen = zaak.scalar.fasen.scalar.search({},{order_by => 'me.status'});
        WHILE (fase = fasen.next);
            options.push({
                id => fase.status,
                title => fase.fase,
                status = fase.status
            });
        END;
      ELSE;
        FOREACH status = zaaktype.statussen;
            options.push({
                id      => status.value.definitie.status,
                title   => status.value.definitie.fase,
                status  => status.value.definitie.status
            });
      END;
    END; %]

    [% WRAPPER ztb_subsection_tr
       label = "Afhandelen in fase"
    %]
      <select name="relaties_required">
        [% FOREACH option = options.reverse %]
        <option
            [% (params.required && params.required == option.status
                ? 'selected="selected"'
                : ''
            ) %]
        value="[% option.status %]">[% option.title %]</option>
        [% END %]
        [% IF zaak && zaak.is_afgehandeld %]
        <option value="" selected="selected">[Afgehandeld]</option>
        [% END %]
        [% IF !zaak && !milestone_number %]
        <small>(Registratiefase is niet beschikbaar)</small>
        [% END %]
      </select>
    [% END %]

    [% WRAPPER ztb_subsection_tr
       label = "Automatisch in behandeling nemen"
    %]
       <input type="hidden" name="dialog_checkboxes" value="relaties_automatisch_behandelen" />
       <input type="checkbox" value="1"
         name="relaties_automatisch_behandelen"
         [% (params.automatisch_behandelen ? 'checked="checked"' : '') %]
       >
    [% END %]
  [% END %]
[% END %]

[% BLOCK ztb_relation_section_copy %]
  [% WRAPPER ztb_subsection_table %]

    [% WRAPPER ztb_subsection_tr
        label = "Betrokkene kopi&euml;ren"
    %]
      <input type="hidden" name="dialog_checkboxes"
        value="relaties_copy_subject_role"
      />
      <input
        type="checkbox"
        name="relaties_copy_subject_role"
        class="show_add_subject_role"
        [%- IF params.copy_subject_role %] checked="checked" [%- END %]
      />
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Betrokkene met deze rollen kopi&euml;ren"
        class = 'add_subject_roles'
    %]
      <input type="hidden" name="dialog_checkboxes" value="relaties_subject_role" />
      [%- FOREACH role_object IN rollen %]
      [% role = role_object.label | html_entity %]
        [%- regexp = '^' _ role_object.label _ '$' %]
        [%- has_role =  params.subject_role.grep(regexp).size %]
        <div>
          <input
            type="checkbox"
            value="[% role %]"
            name="relaties_subject_role"
            [%- IF has_role %]
            checked="checked"
            [%- END %]
          >
          <span>[% role %]</span>
        </div>
      [%- END %]
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Alle kenmerken kopi&euml;ren"
    %]
      <input type="hidden" name="dialog_checkboxes" value="relaties_kopieren_kenmerken" />
      <input type="checkbox" value="1"
        name="relaties_kopieren_kenmerken"
        class="copy_all_attributes"
        [% (params.kopieren_kenmerken ? 'checked="checked"' : '') %]>
    [% END %]

    [% WRAPPER ztb_subsection_tr
       label = "Fase selecteren"
       description = "(Voor weergave doeleinden in zaaktypebeheer)"
       class = "copy_custom_attributes"
    %]

    [%- FOREACH phase IN phases %]
        <div>
          <input
            type="checkbox"
            value="[% phase.status %]"
            name="copy_custom_attributes_phase"
            checked
          >
          <span>[% phase.status %]</span>
        </div>
      [% END %]
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Kenmerkmapping"
        class = "copy_custom_attributes"
    %]

       [% WRAPPER ztb_subsection_table %]

          [% WRAPPER ztb_attribute_copy
             label = "Bron"
          %]
            Mapping
          [% END %]

          <input type="hidden" name="dialog_checkboxes"
                 value="copy_custom_attributes_selected" />

          [% seen = {} %]

          [%- FOREACH src IN casetype_attributes.source %]

            [%

              magic_string = src.magic_string;
              IF magic_string == '' || seen.$magic_string;
                NEXT;
              END;

              seen.$magic_string = 1;
            %]

            [% WRAPPER ztb_attribute_copy
                label        = src.label
                magic_string = src.magic_string
                checked      = params.copy_selected_attributes.$magic_string
                phase        = src.phase
            %]
              <select name=[% 'relaties_copy_custom_attributes_selected_' _ src.magic_string %]>

              [% seen_dst = {} %]

              [%- FOREACH dst IN casetype_attributes.destination %]
              [% 
                dst_ms = dst.magic_string;
                IF dst_ms != '';
                  IF seen_dst.$dst_ms;
                    NEXT;
                  END;
                  seen_dst.$dst_ms = 1;
                END;

                IF dst.value_type != '' && dst.value_type != src.value_type;
                  NEXT;
                END; %]

                 <option value="[% dst_ms %]"
                   [% IF params.copy_selected_attributes.$magic_string == dst_ms %]
                         selected
                   [% END %]
                 >
                 [% dst.label %]<br/>
                 [% IF dst_ms ; '[[ ' _ dst_ms _ ']]' ; END %]
                 </option>
               [% END %]

               </select>
             [% END %]
           [% END %]
       [% END %]
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Relaties met zaken kopi&euml;ren"
    %]
      <input type="hidden" name="dialog_checkboxes"
        value="relaties_copy_related_cases"
      />
      <input
        type="checkbox"
        name="relaties_copy_related_cases"
        [%- IF params.copy_related_cases %] checked="checked" [%- END %]
      />
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Relaties met objecten kopi&euml;ren"
    %]
      <input type="hidden" name="dialog_checkboxes"
        value="relaties_copy_related_objects"
      />
      <input
        type="checkbox"
        name="relaties_copy_related_objects"
        [%- IF params.copy_related_objects %] checked="checked" [%- END %]
      />
    [% END %]
  [% END %]
[% END %]

[% BLOCK ztb_relation_section_misc %]

  [% WRAPPER ztb_subsection_table %]

    [% WRAPPER ztb_subsection_tr
        label = "Tonen in PIP"
    %]
       <input
          type="hidden"
          name="dialog_checkboxes"
          value="relaties_show_in_pip"
      />
      <input
        type="checkbox"
        value="1"
        name="relaties_show_in_pip"[% (params.show_in_pip ? ' checked="checked"' : '') %]
        class="show_in_pip"
      >
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Label in PIP"
        class = "ezra_milestone_zaak_in_pip in_pip"
    %]
      <input
        type="text"
        class="show_in_pip_label"
        name="relaties_pip_label"
        placeholder="Start deelzaak"
        value="[% params.pip_label ?  params.pip_label : ''%]"/>
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Betrokkene toevoegen"
    %]
       <input
          type="hidden"
          name="dialog_checkboxes"
          value="relaties_betrokkene_role_set"
      />
      <input type="checkbox" name="relaties_betrokkene_role_set" class="show_add_subject"
        [% IF params.betrokkene_role_set %]checked="checked"[% END %]
      />
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Machtigen voor zaak"
        class = "add_subject"
    %]
        <input type="hidden" name="dialog_checkboxes" value="relaties_betrokkene_authorized" />
        <input type="checkbox" name="relaties_betrokkene_authorized" value="1"
          [% IF params.betrokkene_authorized %]checked [% END %]
        />
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Bevestingsmail voor machtiging versturen"
        class = "add_subject add_subject_notification"
    %]
        <input type="hidden" name="dialog_checkboxes"
          value="relaties_betrokkene_notify" />
        <input type="checkbox" name="relaties_betrokkene_notify" value="1"
          [% IF params.betrokkene_notify %]checked [% END %]
        />
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Rol betrokkene"
        class = "add_subject"
    %]
       <select name="relaties_betrokkene_role">
         [% FOREACH role_object IN rollen %]
         [% role = role_object.label | html_entity %]
         <option value="[% role %]"
           [% IF params.betrokkene_role == role %]
           selected
           [% END %]>
           [% role %]
         </option>
         [% END %]
      </select>
    [% END %]

    [%-
      IF params.betrokkene_id;
        betrokkene = c.model('Betrokkene').get({}, params.betrokkene_id);
      END;
    -%]

    [%- INCLUDE widgets/search_contact.tt
      label = "Naam betrokkene"
      type_label = "Betrokkene-type"
      tr_classes = ["add_subject"]
      ezra_id = "ezra_id_betrokkene"
      input_name = "relaties_betrokkene_id"
      selector_input = "relaties_betrokkene_type"
      contact_betrokkene_naam = betrokkene.naam
      contact_betrokkene_id = params.betrokkene_id
      skip_validator = 1
    %]

    [% WRAPPER ztb_subsection_tr
        label = "Magic string prefix betrokkene"
        class = "add_subject"
    %]
        <input type="text" name="relaties_betrokkene_prefix" value="[% params.betrokkene_prefix %]" readonly />
    [% END %]

    [% WRAPPER ztb_subsection_tr
        label = "Manier van starten"
    %]
      <select name="relaties_creation_style">
        <option value="background" [% (params.creation_style == 'background') ? ' selected' : '' %]>Op de achtergrond</option>
        <option value="form" [% (params.creation_style == 'form') ? ' selected' : '' %]>Webformulier (interactief)</option>
      </select>
    [% END %]

  [% END %]

[% END %]
